Subject: [PATCH 0/3] format-patch: add cover-letter-format option

From: Mirko Faina <[email-masked]>
Date: Tue, 24 Feb 2026 05:03:55 +0100

I've implemented the "--cover-letter-format" as we discussed. In the end
I've decided to add a new option instead of changing "--cover-letter".
This better reflects how the config file is structured too since we can
have "commitListFormat" set while also having "coverLetter" to false.

While working on this patch series I also encountered a NULL dereference
bug in commit_format_is_empty(). Since I needed it for this patch series
I went ahead and fixed it.

[1/3] pretty.c: fix null pointer dereference (Mirko Faina)
[2/3] format-patch: add ability to use alt cover format (Mirko Faina)
[3/3] format-patch: add commitListFormat config (Mirko Faina)

 builtin/log.c | 90 ++++++++++++++++++++++++++++++++++++++++++---------
 pretty.c      |  2 +-
 2 files changed, 75 insertions(+), 17 deletions(-)

-- 
2.53.0.4.geaa3cc5f7e